<div class="row">
  <div class="col-lg-12">
    <div class="ibox float-e-margins">
      <div class="ibox-title">
        <h3><strong>Add Promo Code</strong></h3>
      </div>
      <div class="ibox-content">
        <form #f="ngForm" autocomplete="off" class="form-horizontal" (ngSubmit)="addPoiData(f)">

          <div class="form-group">
            <label class="col-sm-2 control-label">Name<i aria-hidden="true" class="mandatory">*</i></label>
            <div class="col-sm-10 form-input">
              <input type="text" class="form-control" maxlength="70" placeholder=" Name" name="name" #name="ngModel"
                [(ngModel)]="destinationModel.name" required>
              <div class="error-msg" *ngIf="name.errors && (name.dirty || name.touched || f.submitted)">
                <div [hidden]="!name.errors.required">Name is required.</div>
              </div>
            </div>
          </div>

          <div class="form-group"><label class="col-sm-2 control-label">Company<i aria-hidden="true" class="mandatory">*</i></label>
            <div class="col-sm-10 form-input">
              <input disabled type="text" class="form-control" maxlength="70" placeholder="Company" name="company" #company="ngModel"
                [(ngModel)]="destinationModel.company" required>
              <div class="error-msg" *ngIf="company.errors && (company.dirty || company.touched || f.submitted)">
                <div [hidden]="!code.errors.required">Company is required.</div>
              </div>
            </div>
          </div>

          <div class="form-group"><label class="col-sm-2 control-label">Status<i aria-hidden="true" class="mandatory">*</i></label>
            <div class="col-sm-10 form-input">
              <mat-select class="form-control" placeholder="Status" [(ngModel)]="destinationModel.status" name="status"
                #status="ngModel" required>
                <mat-option value="">Select</mat-option>
                <mat-option [value]="statitem" *ngFor="let statitem of statusItems">
                  {{statitem}}
                </mat-option>
              </mat-select>
              <div class="error-msg" *ngIf="status.errors && (status.dirty || status.touched || f.submitted)">
                <div [hidden]="!status.errors.required">status is required.</div>
              </div>
            </div>
          </div>

          <div class="form-group"><label class="col-sm-2 control-label">Priority<i aria-hidden="true" class="mandatory">*</i></label>
            <div class="col-sm-10 form-input">
              <mat-select class="form-control" placeholder="Status" [(ngModel)]="destinationModel.priority" name="priority"
                #priority="ngModel" required>
                <mat-option value="">Select</mat-option>
                <mat-option [value]="prioritem" *ngFor="let prioritem of priorityItems">
                  {{prioritem}}
                </mat-option>
              </mat-select>
              <div class="error-msg" *ngIf="priority.errors && (priority.dirty || priority.touched || f.submitted)">
                <div [hidden]="!priority.errors.required">priority is required.</div>
              </div>
            </div>
          </div>

          <div class="form-group"><label class="col-sm-2 control-label">Favorite<i aria-hidden="true" class="mandatory">*</i></label>
            <div class="col-sm-10 form-input">
              <mat-select class="form-control" placeholder="Favorite" [(ngModel)]="destinationModel.is_favorite" name="is_favorite"
                #is_favorite="ngModel" required>
                <mat-option value="">Select</mat-option>
                <mat-option [value]="favItems" *ngFor="let favItems of favoriteItems">
                  {{favItems}}
                </mat-option>
              </mat-select>
              <div class="error-msg" *ngIf="is_favorite.errors && (is_favorite.dirty || is_favorite.touched || f.submitted)">
                <div [hidden]="!is_favorite.errors.required">Favorite is required.</div>
              </div>
            </div>
          </div>

          <div class="form-group"><label class="col-sm-2 control-label">X co-ordinate<i aria-hidden="true" class="mandatory">*</i></label>
            <div class="col-sm-10 form-input">
              <input disabled type="text" class="form-control" maxlength="70" placeholder=" X co-ordinate" name="xcoordinate"
                #xcoordinate="ngModel" [(ngModel)]="destinationModel.xcoordinate" required>
              <div class="error-msg" *ngIf="xcoordinate.errors && (xcoordinate.dirty || xcoordinate.touched || f.submitted)">
                <div [hidden]="!xcoordinate.errors.required">X co-ordinate is required.</div>
              </div>
            </div>
          </div>

          <div class="form-group"><label class="col-sm-2 control-label">y co-ordinate<i aria-hidden="true" class="mandatory">*</i></label>
            <div class="col-sm-10 form-input">
              <input disabled type="text" class="form-control" maxlength="70" placeholder="Y co-ordinate" name="ycoordinate"
                #ycoordinate="ngModel" [(ngModel)]="destinationModel.ycoordinate" required>
              <div class="error-msg" *ngIf="ycoordinate.errors && (ycoordinate.dirty || ycoordinate.touched || f.submitted)">
                <div [hidden]="!ycoordinate.errors.required">Y co-ordinate is required.</div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <div class="col-sm-2">

            </div>
            <div class="col-sm-10">
              <input style="width: 45%; position: relative; top: 55px; right: 20px; z-index: 1; float: right;" type="text" class="form-control" placeholder="Search a location" name="geocode" places-auto-complete (place_changed)="placeChanged($event)"
                [types]="['geocode']" />
              <ngui-map [zoom]="15" (mapReady$)="onMapReady($event)" [streetViewControl]="false" [mapTypeControl]="false" [fullscreenControl]="false"
                [center]="center" (mapClick)="onMapClick($event)">
                <marker *ngFor="let pos of positions" [position]="pos" draggable="true" (dragend)="onMapClick($event)"></marker>
              </ngui-map>
            </div>
          </div>
          <br>
          <div class="form-group" style="position: relative; top: 20px;">
            <div class="col-sm-4 col-sm-offset-2">
              <button class="btn btn-primary" type="submit">Save</button>
              <button class="btn btn-white" type="button" [routerLink] = "['/admin/administration/destination']">Cancel</button>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>
